const $EventBuses = java('me.shedaniel.architectury.platform.forge.EventBuses')
const $GasDeferredRegister = java('mekanism.common.registration.impl.GasDeferredRegister')

const GASES = new $GasDeferredRegister('kubejs')

GASES.register('neutron_gas', 0x000000)
GASES.register('gaseous_oil', 0x525252)
GASES.register('gaseous_fuel', 0x8e9476)

GASES.register($EventBuses.getModEventBus('kubejs').get())